#ifndef CELLCALIBRATION_H
#define CELLCALIBRATION_H

#include <QMap>
#include <QVector>

class CellCalibration
{
public:
    CellCalibration();
    void addCellAmpData(int channel, int startcell, const QVector<int> &data);
    QVector<double> getCellAmpCalibration(int channel) const;
    void addCellAmpCalibration(int channel, QVector<double> calib);
    void clear();

private:
    QMap<int, QVector<double> >cellAmpSum;
    QMap<int, QVector<double> >cellAmpCalibration;
    QMap<int, QVector<int> > cellAmpEntries;
    void calcCellAmpCalibration(int channel);
};

#endif // CELLCALIBRATION_H
