//
//    Copyright 2010 Alexey Shutov, Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef DOMINOSETTINGS_H
#define DOMINOSETTINGS_H

#include <QMap>

class DominoSettings
{
public:
    enum { NORMAL_MODE, AMPL_CAL_MODE };

    DominoSettings();
    bool operator==(const DominoSettings &) const;
    void resize(int n);
    quint32 getEnMask() const;
    quint32 getTrigMask() const;

    QMap<int, bool> en;
    QMap<int, bool> trig;
    QMap<int, int> thr;

    int mode;
    int readcellnumber;
    int writecellnumber;
    int trigdelay;
    int analogDelay;
};

#endif // DOMINOSETTINGS_H
